import{j as s}from"./jsx-runtime-d63933db.js";import{M as n}from"./index-48d0b697.js";import{u as i}from"./index-b673f84f.js";import"./index-10e52e8a.js";import"./_commonjsHelpers-35101cd5.js";import"./preload-helper-41c905a7.js";import"./chunk-NBWQXLRW-12486dff.js";import"./index-4c415d66.js";import"./memoizerific-cab73ecf.js";import"./index-deac3004.js";import"./chunk-JZ5AWLIV-08ec320c.js";import"./chunk-CGNVMEUZ-43f85122.js";import"./chunk-UYSIEMEK-e2791307.js";import"./chunk-JB6UHSJC-61810c3c.js";import"./_baseToString-246b6343.js";import"./_getTag-5d71341d.js";import"./isEqual-3f7e170c.js";import"./window-6922176c.js";import"./index-2bc02641.js";import"./uniq-c346be91.js";const a=""+new URL("code-brackets-9ef6443e.svg",import.meta.url).href,p=""+new URL("colors-ac9401f3.svg",import.meta.url).href,l=""+new URL("comments-f15a6837.svg",import.meta.url).href,c=""+new URL("direction-94a9917f.svg",import.meta.url).href,x=""+new URL("flow-275142c6.svg",import.meta.url).href,d=""+new URL("plugin-57148314.svg",import.meta.url).href,m=""+new URL("repo-fb4ece47.svg",import.meta.url).href,h=""+new URL("stackalt-2ad81543.svg",import.meta.url).href;function E(e={}){const{wrapper:r}=Object.assign({},i(),e.components);return r?s.exports.jsx(r,Object.assign({},e,{children:s.exports.jsx(o,{})})):o();function o(){const t=Object.assign({h1:"h1",p:"p",strong:"strong",code:"code",a:"a"},i(),e.components);return s.exports.jsxs(s.exports.Fragment,{children:[s.exports.jsx(n,{title:"Example/Introduction"}),`
`,s.exports.jsx("style",{children:`
    .subheading {
      --mediumdark: '#999999';
      font-weight: 900;
      font-size: 13px;
      color: #999;
      letter-spacing: 6px;
      line-height: 24px;
      text-transform: uppercase;
      margin-bottom: 12px;
      margin-top: 40px;
    }

    .link-list {
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr;
      row-gap: 10px;
    }

    @media (min-width: 620px) {
      .link-list {
        row-gap: 20px;
        column-gap: 20px;
        grid-template-columns: 1fr 1fr;
      }
    }

    @media all and (-ms-high-contrast:none) {
    .link-list {
        display: -ms-grid;
        -ms-grid-columns: 1fr 1fr;
        -ms-grid-rows: 1fr 1fr;
      }
    }

    .link-item {
      display: block;
      padding: 20px 30px 20px 15px;
      border: 1px solid #00000010;
      border-radius: 5px;
      transition: background 150ms ease-out, border 150ms ease-out, transform 150ms ease-out;
      color: #333333;
      display: flex;
      align-items: flex-start;
    }

    .link-item:hover {
      border-color: #1EA7FD50;
      transform: translate3d(0, -3px, 0);
      box-shadow: rgba(0, 0, 0, 0.08) 0 3px 10px 0;
    }

    .link-item:active {
      border-color: #1EA7FD;
      transform: translate3d(0, 0, 0);
    }

    .link-item strong {
      font-weight: 700;
      display: block;
      margin-bottom: 2px;
    }

    .link-item img {
      height: 40px;
      width: 40px;
      margin-right: 15px;
      flex: none;
    }

    .link-item span {
      font-size: 14px;
      line-height: 20px;
    }

    .tip {
      display: inline-block;
      border-radius: 1em;
      font-size: 11px;
      line-height: 12px;
      font-weight: 700;
      background: #E7FDD8;
      color: #66BF3C;
      padding: 4px 12px;
      margin-right: 10px;
      vertical-align: top;
    }

    .tip-wrapper {
      font-size: 13px;
      line-height: 20px;
      margin-top: 40px;
      margin-bottom: 40px;
    }

    .tip-wrapper code {
      font-size: 12px;
      display: inline-block;
    }
  `}),`
`,s.exports.jsx(t.h1,{children:"Welcome to Storybook"}),`
`,s.exports.jsxs(t.p,{children:[`Storybook helps you build UI components in isolation from your app's business logic, data, and context.
That makes it easy to develop hard-to-reach states. Save these UI states as `,s.exports.jsx(t.strong,{children:"stories"})," to revisit during development, testing, or QA."]}),`
`,s.exports.jsxs(t.p,{children:[`Browse example stories now by navigating to them in the sidebar.
View their code in the `,s.exports.jsx(t.code,{children:"stories"}),` directory to learn how they work.
We recommend building UIs with a `,s.exports.jsx(t.a,{href:"https://componentdriven.org",children:s.exports.jsx(t.strong,{children:"component-driven"})})," process starting with atomic components and ending with pages."]}),`
`,s.exports.jsx("div",{className:"subheading",children:"Configure"}),`
`,s.exports.jsxs("div",{className:"link-list",children:[s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/docs/react/addons/addon-types",target:"_blank",children:[s.exports.jsx("img",{src:d,alt:"plugin"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Presets for popular tools"}),`
Easy setup for TypeScript, SCSS and more.`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/docs/react/configure/webpack",target:"_blank",children:[s.exports.jsx("img",{src:h,alt:"Build"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Build configuration"}),`
How to customize webpack and Babel`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/docs/react/configure/styling-and-css",target:"_blank",children:[s.exports.jsx("img",{src:p,alt:"colors"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Styling"}),`
How to load and configure CSS libraries`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/docs/react/get-started/setup#configure-storybook-for-your-stack",target:"_blank",children:[s.exports.jsx("img",{src:x,alt:"flow"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Data"}),`
Providers and mocking for data libraries`]})})]})]}),`
`,s.exports.jsx("div",{className:"subheading",children:"Learn"}),`
`,s.exports.jsxs("div",{className:"link-list",children:[s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/docs",target:"_blank",children:[s.exports.jsx("img",{src:m,alt:"repo"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Storybook documentation"}),`
Configure, customize, and extend`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://storybook.js.org/tutorials/",target:"_blank",children:[s.exports.jsx("img",{src:c,alt:"direction"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"In-depth guides"}),`
Best practices from leading teams`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://github.com/storybookjs/storybook",target:"_blank",children:[s.exports.jsx("img",{src:a,alt:"code"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"GitHub project"}),`
View the source and add issues`]})})]}),s.exports.jsxs("a",{className:"link-item",href:"https://discord.gg/storybook",target:"_blank",children:[s.exports.jsx("img",{src:l,alt:"comments"}),s.exports.jsx("span",{children:s.exports.jsxs(t.p,{children:[s.exports.jsx("strong",{children:"Discord chat"}),`
Chat with maintainers and the community`]})})]})]}),`
`,s.exports.jsx("div",{className:"tip-wrapper",children:s.exports.jsxs(t.p,{children:[s.exports.jsx("span",{className:"tip",children:"Tip"}),"Edit the Markdown in"," ",`
`,s.exports.jsx("code",{children:"stories/Introduction.stories.mdx"})]})})]})}}export{E as default};
//# sourceMappingURL=Introduction-54ddf137.js.map
